Bug 517141 - Review Request: ghc-fgl - functional graph library for Haskell
Review Request: ghc-fgl - functional graph library for Haskell
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Yaakov Nemoy
Fedora Extras Quality Assurance
:
Depends On:
Blocks: haskell-platform
  Show dependency treegraph
 
Reported: 2009-08-12 13:55 EDT by Bryan O'Sullivan
Modified: 2010-10-05 09:22 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-09-14 01:57:22 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
loupgaroublond: fedora‑review+
tibbs: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Bryan O'Sullivan 2009-08-12 13:55:18 EDT
Spec: http://www.serpentine.com/bos/files/ghc-fgl.spec
SRPM: http://www.serpentine.com/bos/files/ghc-fgl-5.4.2.2-1.fc11.src.rpm
Description:
This package provides the Haskell fgl library for ghc.  This
is a library of types and functions for addressing graph problems.
Comment 1 Yaakov Nemoy 2009-08-26 15:29:50 EDT
MUST: rpmlint must be run on every package. The output should be posted in the review.[1]
[yankee@koan ghc-fgl]$ rpmlint -iv *{spec,rpm}
ghc-fgl.src: I: checking                      
ghc-fgl-devel.i586: I: checking               
ghc-fgl-devel.ppc: I: checking                
ghc-fgl-devel.x86_64: I: checking             
ghc-fgl-doc.i586: I: checking                 
ghc-fgl-doc.ppc: I: checking                  
ghc-fgl-doc.x86_64: I: checking               
ghc-fgl-prof.i586: I: checking                
ghc-fgl-prof.i586: E: devel-dependency ghc-fgl-devel
Your package has a dependency on a devel package but it's not a devel package
itself.                                                                      

ghc-fgl-prof.i586: W: no-documentation
The package contains no documentation (README, doc, etc). You have to include
documentation files.                                                         

ghc-fgl-prof.i586: W: devel-file-in-non-devel-package /usr/lib/ghc-6.10.3/fgl-5.4.2.2/libHSfgl-5.4.2.2_p.a
A development file (usually source code) is located in a non-devel package. If                            
you want to include source code in your package, be sure to create a                                      
development package.

ghc-fgl-prof.ppc: I: checking
ghc-fgl-prof.ppc: E: devel-dependency ghc-fgl-devel
Your package has a dependency on a devel package but it's not a devel package
itself.

ghc-fgl-prof.ppc: W: no-documentation
The package contains no documentation (README, doc, etc). You have to include
documentation files.

ghc-fgl-prof.ppc: W: devel-file-in-non-devel-package /usr/lib/ghc-6.10.3/fgl-5.4.2.2/libHSfgl-5.4.2.2_p.a
A development file (usually source code) is located in a non-devel package. If
you want to include source code in your package, be sure to create a
development package.

ghc-fgl-prof.x86_64: I: checking
ghc-fgl-prof.x86_64: E: devel-dependency ghc-fgl-devel
Your package has a dependency on a devel package but it's not a devel package
itself.

ghc-fgl-prof.x86_64: W: no-documentation
The package contains no documentation (README, doc, etc). You have to include
documentation files.

ghc-fgl-prof.x86_64: W: devel-file-in-non-devel-package /usr/lib64/ghc-6.10.3/fgl-5.4.2.2/libHSfgl-5.4.2.2_p.a
A development file (usually source code) is located in a non-devel package. If
you want to include source code in your package, be sure to create a
development package.

10 packages and 1 specfiles checked; 3 errors, 6 warnings.
>>> CHECK

MUST: The package must be named according to the Package Naming Guidelines .
>>> CHECK

MUST: The spec file name must match the base package %{name}, in the format %{name}.spec unless your package has an exemption. [2] .
>>> CHECK

MUST: The package must meet the Packaging Guidelines .
>>> CHECK

MUST: The package must be licensed with a Fedora approved license and meet the Licensing Guidelines .
>>> CHECK

MUST: The License field in the package spec file must match the actual license. [3]
>>> CHECK

MUST: If (and only if) the source package includes the text of the license(s) in its own file, then that file, containing the text of the license(s) for the package must be included in %doc.[4]
>>> CHECK

MUST: The spec file must be written in American English. [5]
>>> CHECK

MUST: The spec file for the package MUST be legible. [6]
>>> CHECK

MUST: The sources used to build the package must match the upstream source, as provided in the spec URL. Reviewers should use md5sum for this task. If no upstream URL can be specified for this package, please see the Source URL Guidelines for how to deal with this.
>>> CHECK --> presuming innoncence here

MUST: The package MUST successfully compile and build into binary rpms on at least one primary architecture. [7]
>>> CHECK

MUST: If the package does not successfully compile, build or work on an architecture, then those architectures should be listed in the spec in ExcludeArch. Each architecture listed in ExcludeArch MUST have a bug filed in bugzilla, describing the reason that the package does not compile/build/work on that architecture. The bug number MUST be placed in a comment, next to the corresponding ExcludeArch line. [8]
>>> CHECK

MUST: All build dependencies must be listed in BuildRequires, except for any that are listed in the exceptions section of the Packaging Guidelines ; inclusion of those as BuildRequires is optional. Apply common sense.
>>> CHECK

MUST: A package must own all directories that it creates. If it does not create a directory that it uses, then it should require a package which does create that directory. [12]
>>> CHECK

MUST: A Fedora package must not list a file more than once in the spec file's %files listings. [13]
>>> CHECK

MUST: Permissions on files must be set properly. Executables should be set with executable permissions, for example. Every %files section must include a %defattr(...) line. [14]
>>> CHECK

MUST: Each package must have a %clean section, which contains rm -rf %{buildroot} (or $RPM_BUILD_ROOT). [15]
>>> CHECK

MUST: Each package must consistently use macros. [16]
>>> CHECK

MUST: The package must contain code, or permissable content. [17]
>>> CHECK

MUST: Large documentation files must go in a -doc subpackage. (The definition of large is left up to the packager's best judgement, but is not restricted to size. Large can refer to either size or quantity). [18]
>>> CHECK

MUST: If a package includes something as %doc, it must not affect the runtime of the application. To summarize: If it is in %doc, the program must run properly if it is not present. [18]
>>> CHECK

MUST: Header files must be in a -devel package. [19]
>>> CHECK

MUST: Packages containing pkgconfig(.pc) files must 'Requires: pkgconfig' (for directory ownership and usability). [21]
>>> CHECK

MUST: Packages must not own files or directories already owned by other packages. The rule of thumb here is that the first package to be installed should own the files or directories that other packages may rely upon. This means, for example, that no package in Fedora should ever share ownership with any of the files or directories owned by the filesystem or man package. If you feel that you have a good reason to own a file or directory that another package owns, then please present that at package review time. [24]
>>> CHECK

MUST: At the beginning of %install, each package MUST run rm -rf %{buildroot} (or $RPM_BUILD_ROOT). [25]
>>> CHECK

MUST: All filenames in rpm packages must be valid UTF-8. [26]
>>> CHECK

SHOULD Items:
Items marked as SHOULD are things that the package (or reviewer) SHOULD do, but is not required to do.

SHOULD: The reviewer should test that the package builds in mock. [29]
>>> CHECK

SHOULD: The package should compile and build into binary rpms on all supported architectures. [30]
>>> CHECK

SHOULD: The reviewer should test that the package functions as described. A package should not segfault instead of running, for example.
>>> CHECK

SHOULD: Usually, subpackages other than devel should require the base package using a fully versioned dependency. [22]
>>> CHECK

SHOULD: If the package has file dependencies outside of /etc, /bin, /sbin, /usr/bin, or /usr/sbin consider requiring the package which provides the file instead of the file itself. [32] 
>>> CHECK

Resolution: PASS
Comment 2 Bryan O'Sullivan 2009-08-27 15:31:41 EDT
New Package CVS Request
=======================
Package Name: ghc-fgl
Short Description: functional graph library for Haskell
Owners: bos ynemoy petersen
Branches: F-11
InitialCC: haskell-sig
Comment 3 Jason Tibbitts 2009-08-28 10:39:00 EDT
CVS done.
Comment 4 Jens Petersen 2009-09-13 21:14:28 EDT
Thanks for this - let's import the package! :)
Comment 5 Jens Petersen 2009-09-14 01:57:22 EDT
http://koji.fedoraproject.org/koji/buildinfo?buildID=131820

cool!
Comment 6 Fedora Update System 2009-09-17 04:00:02 EDT
ghc-fgl-5.4.2.2-1.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/ghc-fgl-5.4.2.2-1.fc11
Comment 7 Fedora Update System 2009-09-18 20:14:42 EDT
ghc-fgl-5.4.2.2-1.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 8 Jens Petersen 2010-10-05 00:28:03 EDT
Package Change Request
======================
Package Name: ghc-cgi
New Branches: el6
Owners: bos petersen
InitialCC: haskell-sig
Comment 9 Jens Petersen 2010-10-05 00:29:15 EDT
sorry ignore comment 8

Package Change Request
======================
Package Name: ghc-fgl
New Branches: el6
Owners: bos petersen
InitialCC: haskell-sig
Comment 10 Jason Tibbitts 2010-10-05 09:22:20 EDT
Git done (by process-git-requests).

Note You need to log in before you can comment on or make changes to this bug.